﻿using System.Drawing;

using Arction.WinForms.Charting;

namespace TestProject
{
    /// <summary>
    /// 복구 정보
    /// </summary>
    public class RestoreInfo
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region Field

        /// <summary>
        /// 차트 그라디언트 칠하기
        /// </summary>
        public GradientFill ChartGradientFill;

        /// <summary>
        /// 뷰 그라디언트 칠하기
        /// </summary>
        public GradientFill viewGradientFill;

        /// <summary>
        /// 차트 색상
        /// </summary>
        public Color ChartColor;

        /// <summary>
        /// 뷰 색상
        /// </summary>
        public Color ViewColor;

        /// <summary>
        /// 그리드 색상
        /// </summary>
        public Color GridColor;

        /// <summary>
        /// 그리드 선 패턴
        /// </summary>
        public LinePattern GridLinePattern;

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - RestoreInfo(chart)

        /// <summary>
        /// 생성자
        /// </summary>
        /// <param name="chart">차트</param>
        public RestoreInfo(LightningChartUltimate chart)
        {
            ChartGradientFill = chart.Background.GradientFill;               
            ChartColor        = chart.Background.Color;

            viewGradientFill = chart.ViewXY.GraphBackground.GradientFill; 
            ViewColor        = chart.ViewXY.GraphBackground.Color;

            GridColor       = chart.ViewXY.XAxes[0].MajorGrid.Color;
            GridLinePattern = chart.ViewXY.XAxes[0].MajorGrid.Pattern;
        }

        #endregion
    }
}